Rudiments: signalset Class Reference

Rudiments

Public Member Functions | Friends | List of all members
signalset Class Reference

## Public Member Functions
| signalset ()
| ~signalset ()
bool | addSignal (int32_t signum)
bool | addAllSignals ()
bool | removeSignal (int32_t signum)
bool | removeShutDownSignals ()
bool | removeCrashSignals ()
bool | removeAllSignals ()
int32_t | signalIsInSet (int32_t signum) const

## Friends
class | signalmanager
class | signalhandler

## Detailed Description

A signalset it just a collection of signals. Many signal-related functions take signalsets for arguments. The signalset class makes signalsets easy to manage.

## Constructor & Destructor Documentation

## ◆ signalset()

signalset::signalset | ( |  | ) |

Creates an instance of the signalset class.

## ◆ ~signalset()

signalset::~signalset | ( |  | ) |

Deletes this instance of the signalset class.

## Member Function Documentation

## ◆ addAllSignals()

bool signalset::addAllSignals | ( |  | ) |

Add all signals to the set. Returns true on success and false on failure.

## ◆ addSignal()

bool signalset::addSignal | ( | int32_t | signum | ) |

Add the signal "signum" to the set. Returns true on success and false on failure.

## ◆ removeAllSignals()

bool signalset::removeAllSignals | ( |  | ) |

Remove all signals from the set. Returns true on success and false on failure.

## ◆ removeCrashSignals()

bool signalset::removeCrashSignals | ( |  | ) |

Remove signals from the set that the process class listens for in its handleCrash() method.

## ◆ removeShutDownSignals()

bool signalset::removeShutDownSignals | ( |  | ) |

Remove signals from the set that the process class listens for in its handleShutDown() method.

## ◆ removeSignal()

bool signalset::removeSignal | ( | int32_t | signum | ) |

Remove the signal "signum" from the set. Returns true on success and false on failure.

## ◆ signalIsInSet()

int32_t signalset::signalIsInSet | ( | int32_t | signum | ) | const

Returns 1 if the signal "signum" is in the set, 0 if it is not and -1 on error.